# Interface ClientRequestArgs

#### Hierarchy

- ClientRequestArgs

#####
Index

### Properties

_defaultAgent?
agent?
auth?
createConnection?
defaultPort?
family?
headers?
hints?
host?
hostname?
insecureHTTPParser?
joinDuplicateHeaders?
localAddress?
localPort?
lookup?
maxHeaderSize?
method?
path?
port?
protocol?
setHost?
signal?
socketPath?
timeout?
uniqueHeaders?

## Properties

### `Optional` _defaultAgent

_defaultAgent?: Agent

### `Optional` agent

agent?: boolean | Agent

### `Optional` auth

auth?: null | string

### `Optional` createConnection

createConnection?: ((options, oncreate) => Socket)

#### Type declaration

- - (options, oncreate): Socket

  - #### Parameters

    - ##### options: ClientRequestArgs

    - ##### oncreate: ((err, socket) => void)

      - - (err, socket): void

        - #### Parameters

          - ##### err: Error

          - ##### socket: Socket

          #### Returns void

    #### Returns Socket

### `Optional` defaultPort

defaultPort?: string | number

### `Optional` family

family?: number

### `Optional` headers

headers?: OutgoingHttpHeaders

### `Optional` hints

hints?: number

### `Optional` host

host?: null | string

### `Optional` hostname

hostname?: null | string

### `Optional` insecureHTTPParser

insecureHTTPParser?: boolean

### `Optional` joinDuplicateHeaders

joinDuplicateHeaders?: boolean

### `Optional` localAddress

localAddress?: string

### `Optional` localPort

localPort?: number

### `Optional` lookup

lookup?: LookupFunction

### `Optional` maxHeaderSize

maxHeaderSize?: number

#### Default

    16384

### `Optional` method

method?: string

### `Optional` path

path?: null | string

### `Optional` port

port?: null | string | number

### `Optional` protocol

protocol?: null | string

### `Optional` setHost

setHost?: boolean

### `Optional` signal

signal?: AbortSignal

### `Optional` socketPath

socketPath?: string

### `Optional` timeout

timeout?: number

### `Optional` uniqueHeaders

uniqueHeaders?: (string | string[])[]

Generated using TypeDoc